using Azure;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AipGateway.Data.Entities
{
    [Table("TB_AIP_PROTECTION")]
    public class TbAipProtection
    {
        [Key]
        public required int ProtectionId { get; set; }

        [StringLength(255)]
        public required string ProtectionGuid { get; set; }

        [StringLength(255)]
        public required string ProtectionName { get; set; }
        

        public required DateTime CreatedAt { get; set; }
        public required bool UseYn { get; set; }
        
        [StringLength(512)]
        public string? ProtectionDesc { get; set; }
        public DateTime? DeletedAt { get; set; }

        public override string ToString()
        {
            return "TbAipProtection{ ProtectionId: " + ProtectionId + ", ProtectionGuid: " + ProtectionGuid + ", ProtectionName: " + ProtectionName + ", CreatedAt: " + CreatedAt + "}";
        }
    }
}
